<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_remove_col2&lt; M &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__remove__col2.html">op_remove_col2</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__remove__col2-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_remove_col2&lt; M &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a38594f802c94fa80166dbcd19778a18d"><td class="memItemLeft" align="right" valign="top"><a id="a38594f802c94fa80166dbcd19778a18d"></a>
typedef M::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a38594f802c94fa80166dbcd19778a18d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96fd5e86d9b73dcb1bc69f24beab9d36"><td class="memItemLeft" align="right" valign="top"><a id="a96fd5e86d9b73dcb1bc69f24beab9d36"></a>
typedef M::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a96fd5e86d9b73dcb1bc69f24beab9d36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ad0d06ce4695b97025dfa0ad744a43c"><td class="memItemLeft" align="right" valign="top"><a id="a1ad0d06ce4695b97025dfa0ad744a43c"></a>
typedef M::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a1ad0d06ce4695b97025dfa0ad744a43c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14eaeaede36ebd9d748b6dbb27c78ccd"><td class="memItemLeft" align="right" valign="top"><a id="a14eaeaede36ebd9d748b6dbb27c78ccd"></a>
typedef M::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a14eaeaede36ebd9d748b6dbb27c78ccd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:afb2186e5083154eb2728d4ae830eb364"><td class="memItemLeft" align="right" valign="top"><a id="afb2186e5083154eb2728d4ae830eb364"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_remove_col2</b> (const M &amp;m_, const long C_)</td></tr>
<tr class="separator:afb2186e5083154eb2728d4ae830eb364"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fb6b8a54b472b92f09ece35d9cccce6"><td class="memItemLeft" align="right" valign="top"><a id="a1fb6b8a54b472b92f09ece35d9cccce6"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long r, long c) const</td></tr>
<tr class="separator:a1fb6b8a54b472b92f09ece35d9cccce6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18e5bd3d9b97cf38d494d04a227a8dc5"><td class="memItemLeft" align="right" valign="top"><a id="a18e5bd3d9b97cf38d494d04a227a8dc5"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a18e5bd3d9b97cf38d494d04a227a8dc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c568961fd0c29afe0b0e5f23d76ec61"><td class="memItemLeft" align="right" valign="top"><a id="a1c568961fd0c29afe0b0e5f23d76ec61"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:a1c568961fd0c29afe0b0e5f23d76ec61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24deb68cc0d3b67702759e123ab76ded"><td class="memTemplParams" colspan="2"><a id="a24deb68cc0d3b67702759e123ab76ded"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a24deb68cc0d3b67702759e123ab76ded"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a24deb68cc0d3b67702759e123ab76ded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c5640ed5bbe84ad5ac3b95c1b4eb727"><td class="memTemplParams" colspan="2"><a id="a6c5640ed5bbe84ad5ac3b95c1b4eb727"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a6c5640ed5bbe84ad5ac3b95c1b4eb727"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a6c5640ed5bbe84ad5ac3b95c1b4eb727"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a104589745998f8b8cb6367044368167f"><td class="memItemLeft" align="right" valign="top"><a id="a104589745998f8b8cb6367044368167f"></a>
const M &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:a104589745998f8b8cb6367044368167f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add7434f2816a997b4105b3fe825ede68"><td class="memItemLeft" align="right" valign="top"><a id="add7434f2816a997b4105b3fe825ede68"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>C</b></td></tr>
<tr class="separator:add7434f2816a997b4105b3fe825ede68"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a5070907d5475b7b4b9001e29860f82a7"><td class="memItemLeft" align="right" valign="top"><a id="a5070907d5475b7b4b9001e29860f82a7"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = M::cost+2</td></tr>
<tr class="separator:a5070907d5475b7b4b9001e29860f82a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d41ba422806db29769ff7eb549c8b0e"><td class="memItemLeft" align="right" valign="top"><a id="a7d41ba422806db29769ff7eb549c8b0e"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = M::NR</td></tr>
<tr class="separator:a7d41ba422806db29769ff7eb549c8b0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3445ee215a5d83f2fc18eed2e6ee3e74"><td class="memItemLeft" align="right" valign="top"><a id="a3445ee215a5d83f2fc18eed2e6ee3e74"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = (M::NC==0) ? 0 : (M::NC - 1)</td></tr>
<tr class="separator:a3445ee215a5d83f2fc18eed2e6ee3e74"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__utilities_8h_source.html">matrix_utilities.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
